org.apache.ignite.compute.gridify.aop.spring

## Class GridifySpringPointcut

- java.lang.Object
- - org.apache.ignite.compute.gridify.aop.spring.GridifySpringPointcut

- All Implemented Interfaces:
    org.springframework.aop.Pointcut

      public class GridifySpringPointcut
      extends Object
      implements org.springframework.aop.Pointcut

  Pointcut used by gridified aspects to find methods annotated with `Gridify`, `GridifySetToValue` and `GridifySetToSet` annotations.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GridifySpringPointcut.GridifySpringPointcutType` Pointcut type.

  - ### Field Summary

    - ### Fields inherited from interface org.springframework.aop.Pointcut

      `TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridifySpringPointcut(GridifySpringPointcut.GridifySpringPointcutType type)` Creates pointcut associated with specific aspect.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.aop.ClassFilter` | `getClassFilter()`
    `org.springframework.aop.MethodMatcher` | `getMethodMatcher()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridifySpringPointcut

          public GridifySpringPointcut(GridifySpringPointcut.GridifySpringPointcutType type)

      Creates pointcut associated with specific aspect.
      Parameters:
        `type` - Type.

  - ### Method Detail

    - #### getClassFilter

          public org.springframework.aop.ClassFilter getClassFilter()

      Specified by:
        `getClassFilter` in interface `org.springframework.aop.Pointcut`

    - #### getMethodMatcher

          public org.springframework.aop.MethodMatcher getMethodMatcher()

      Specified by:
        `getMethodMatcher` in interface `org.springframework.aop.Pointcut`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022